<?php

/**
 * @file
 * Theme settings file for the Wawesome theme.
 */

/**
 * Implements hook_form_system_theme_settings_alter().
 */
function wawesome_form_system_theme_settings_alter(&$form, \Drupal\Core\Form\FormStateInterface $form_state)
{
  // Add a field for the mobile breakpoint.
  $form['wawesome_mobile_breakpoint'] = [
    '#type' => 'number',
    '#title' => t('Mobile Breakpoint'),
    '#description' => t('Set the mobile breakpoint in pixels (e.g., 768 for tablets).'),
    '#default_value' => theme_get_setting('wawesome_mobile_breakpoint') ?? 768,
    '#min' => 0,
  ];

  // Add a checkbox for displaying navigation in the sidebar.
  $form['wawesome_sidebar_navigation'] = [
    '#type' => 'checkbox',
    '#title' => t('Display navigation in the sidebar'),
    '#description' => t('Check this box to display the navigation in the sidebar instead of horizontally.'),
    '#default_value' => theme_get_setting('wawesome_sidebar_navigation') ?? FALSE,
  ];

  // Add a radio button field for logo placement.
  $form['wawesome_logo_placement'] = [
    '#type' => 'radios',
    '#title' => t('Logo Placement'),
    '#description' => t('Choose where the logo should be placed in the writing direction.'),
    '#options' => [
      'start' => t('Start'),
      'end' => t('End'),
    ],
    '#default_value' => theme_get_setting('wawesome_logo_placement') ?? 'start',
  ];

}
